# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2018-10-18 18:46
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('area_id', models.IntegerField(verbose_name='Area Number')),
                ('area_name', models.CharField(max_length=20, verbose_name='Area Name')),
            ],
            options={
                'verbose_name': 'Area',
                'verbose_name_plural': 'Area',
                'db_table': 'area',
                'permissions': (('area_delete', 'Delete'),),
            },
        ),
        migrations.CreateModel(
            name='BackupDb',
            fields=[
                ('id', models.AutoField(default=1, editable=False, primary_key=True, serialize=False)),
                ('is_auto', models.SmallIntegerField(choices=[(0, 'NO'), (1, 'YES')], default=0, verbose_name='Auto Backup')),
                ('t_month', models.SmallIntegerField(choices=[(1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5'), (6, '6'), (7, '7'), (8, '8'), (9, '9'), (10, '10'), (11, '11'), (12, '12'), (13, '13'), (14, '14'), (15, '15'), (16, '16'), (17, '17'), (18, '18'), (19, '19'), (20, '20'), (21, '21'), (22, '22'), (23, '23'), (24, '24'), (25, '25'), (26, '26'), (27, '27'), (28, '28'), (29, '29'), (30, '30'), (31, '31')], default=1, verbose_name='Date')),
                ('t_hour', models.IntegerField(choices=[(0, '00'), (1, '01'), (2, '02'), (3, '03'), (4, '04'), (5, '05'), (6, '06'), (7, '07'), (8, '08'), (9, '09'), (10, '10'), (11, '11'), (12, '12'), (13, '13'), (14, '14'), (15, '15'), (16, '16'), (17, '17'), (18, '18'), (19, '19'), (20, '20'), (21, '21'), (22, '22'), (23, '23')], default=0, verbose_name='Hour')),
                ('t_min', models.IntegerField(choices=[(0, '00'), (5, '05'), (10, '10'), (15, '15'), (20, '20'), (25, '25'), (30, '30'), (35, '35'), (40, '40'), (45, '45'), (50, '50'), (55, '55')], default=0, verbose_name='Minute')),
                ('save_path', models.TextField(default='backupdb_files', max_length=50, null=True)),
            ],
            options={
                'verbose_name': 'Backup database',
                'verbose_name_plural': 'Backup database',
                'db_table': 'backup_db',
            },
        ),
        migrations.CreateModel(
            name='BioTemplate',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('template', models.TextField(verbose_name='Template')),
                ('bio_index', models.SmallIntegerField(verbose_name='Index')),
                ('bio_type', models.SmallIntegerField(verbose_name='Type')),
                ('majorver', models.CharField(max_length=30, verbose_name='Majorver')),
                ('minorver', models.CharField(max_length=30, null=True, verbose_name='Minorver')),
                ('bio_format', models.SmallIntegerField(default=0, null=True, verbose_name='Format')),
                ('bio_no', models.SmallIntegerField(default=0, null=True, verbose_name='Number')),
                ('valid', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=1, verbose_name='Valid')),
                ('duress', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=0, verbose_name='Duress')),
                ('del_tag', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=0, verbose_name='Delete tag')),
                ('sync_tag', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=0, editable=False, verbose_name='Sync tag')),
            ],
            options={
                'verbose_name': 'Bio Template',
                'verbose_name_plural': 'Bio Template',
                'db_table': 'bio_template',
            },
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('company_id', models.IntegerField(verbose_name='Company Number')),
                ('company_name', models.CharField(max_length=20, verbose_name='Company Name')),
            ],
            options={
                'verbose_name': 'Company',
                'verbose_name_plural': 'Company',
                'db_table': 'company',
                'permissions': (('company_delete', 'Delete'),),
            },
        ),
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('depart_id', models.IntegerField(verbose_name='Department Number')),
                ('depart_name', models.CharField(max_length=60, verbose_name='Department Name')),
            ],
            options={
                'verbose_name': 'Department',
                'verbose_name_plural': 'Department',
                'db_table': 'department',
                'permissions': (('department_delete', 'Delete'),),
            },
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('pin', models.CharField(max_length=20, verbose_name='*ID')),
                ('emp_name', models.CharField(blank=True, default=' ', max_length=40, null=True, verbose_name='*Name')),
                ('password', models.CharField(blank=True, max_length=8, null=True, verbose_name='Password')),
                ('card', models.CharField(blank=True, max_length=10, null=True, verbose_name='Card Number')),
                ('access_group', models.IntegerField(blank=True, default=1, null=True, verbose_name='Access Group')),
                ('access_timezone', models.CharField(blank=True, default='0000000000000000', max_length=20, null=True, verbose_name='Access Timezone')),
                ('privilege', models.IntegerField(choices=[(0, 'Normal'), (2, 'Registrar'), (6, 'Administrator'), (14, 'Supervisor')], null=True, verbose_name='*Privilege')),
                ('gender', models.CharField(blank=True, choices=[('M', 'Male'), ('F', 'Female'), ('S', 'Secret')], max_length=6, null=True, verbose_name='Gender')),
                ('address', models.CharField(blank=True, max_length=40, null=True, verbose_name='Address')),
                ('postcode', models.CharField(blank=True, max_length=6, null=True, verbose_name='Postcode')),
                ('email', models.EmailField(blank=True, max_length=254, null=True, verbose_name='Email')),
                ('office_tel', models.CharField(blank=True, max_length=20, null=True, verbose_name='Office Phone')),
                ('home_tel', models.CharField(blank=True, max_length=20, null=True, verbose_name='Home Phone')),
                ('mobile_tel', models.CharField(blank=True, max_length=20, null=True, verbose_name='Mobile Phone')),
                ('nationality', models.CharField(blank=True, max_length=20, null=True, verbose_name='Nationality')),
                ('position', models.CharField(blank=True, max_length=20, null=True, verbose_name='Position')),
                ('ssn', models.CharField(blank=True, editable=False, max_length=20, null=True, verbose_name='Social insurance num')),
                ('refresh_time', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='Refresh time')),
                ('status', models.CharField(blank=True, editable=False, max_length=2, null=True, verbose_name='Status')),
                ('city', models.CharField(blank=True, editable=False, max_length=2, null=True, verbose_name='City')),
                ('security_flag', models.SmallIntegerField(blank=True, editable=False, null=True, verbose_name='Admin flag')),
                ('del_tag', models.SmallIntegerField(default=0, editable=False)),
                ('sync_tag', models.SmallIntegerField(default=0, editable=False)),
                ('register_ot', models.IntegerField(default=1, editable=False, null=True)),
            ],
            options={
                'verbose_name': 'Employee',
                'verbose_name_plural': 'Employee',
                'db_table': 'employee',
                'permissions': (('employee_delete', 'Delete'),),
            },
        ),
        migrations.CreateModel(
            name='FaceTemplate',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('template', models.TextField(verbose_name='Face template')),
                ('size', models.IntegerField(editable=False, verbose_name='Size')),
                ('template_id', models.SmallIntegerField(choices=[(0, 'Facial template one'), (1, 'Facial template two'), (2, 'Facial template three'), (3, 'Facial template four'), (4, 'Facial template five'), (5, 'Facial template six'), (6, 'Facial template seven'), (7, 'Facial template eight'), (8, 'Facial template nine'), (9, 'Facial template ten'), (10, 'Facial template eleven'), (11, 'Facial template twelve')], default=0, verbose_name='Id')),
                ('valid', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=1, verbose_name='Valid')),
                ('del_tag', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=0, verbose_name='Delete tag')),
                ('refresh_time', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='Refresh time')),
                ('sync_tag', models.SmallIntegerField(default=0, editable=False)),
            ],
            options={
                'verbose_name': 'Face Template',
                'verbose_name_plural': 'Face Template',
                'db_table': 'face_template',
            },
        ),
        migrations.CreateModel(
            name='FingerTemplate',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('template', models.TextField(verbose_name='Finger template')),
                ('size', models.IntegerField(editable=False, verbose_name='Size')),
                ('template_id', models.SmallIntegerField(choices=[(0, 'Right index finger'), (1, 'Left index finger'), (2, 'Right middle finger'), (3, 'Left middle finger'), (4, 'Right thumb'), (5, 'Left thumb'), (6, 'Right ring finger'), (7, 'Left ring finger'), (8, 'Right little finger'), (9, 'Left little finger')], default=0, verbose_name='Id')),
                ('valid', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=1, verbose_name='Valid')),
                ('del_tag', models.SmallIntegerField(choices=[(0, 'No'), (1, 'Yes')], default=0, verbose_name='Delete tag')),
                ('refresh_time', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='Refresh time')),
                ('bio_picture', models.TextField(editable=False, null=True)),
                ('user_type', models.SmallIntegerField(editable=False, null=True)),
                ('sync_tag', models.SmallIntegerField(default=0, editable=False)),
            ],
            options={
                'verbose_name': 'Finger Template',
                'verbose_name_plural': 'Finger Template',
                'db_table': 'finger_template',
            },
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(editable=False, primary_key=True, serialize=False)),
                ('time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Time')),
                ('status', models.CharField(choices=[('0', 'Check in'), ('1', 'Check out'), ('2', 'Break out'), ('3', 'Break in'), ('4', 'Overtime in'), ('5', 'Overtime out'), ('8', 'Meal start'), ('9', 'Meal end'), ('7', 'Other')], default='0', max_length=3, verbose_name='Status')),
                ('verify', models.IntegerField(choices=[(0, 'Any'), (1, 'FP'), (2, 'PIN'), (3, 'PW'), (4, 'RF'), (5, 'FP/PW'), (6, 'FP/RF'), (7, 'PW/RF'), (8, 'PIN&FP'), (9, 'FP&PW'), (10, 'FP&RF'), (11, 'PW&RF'), (12, 'FP&PW&RF'), (13, 'PIN&FP&PW'), (14, 'FP&RF/PIN'), (15, 'FACE'), (16, 'FACE&FP'), (17, 'FACE&PW'), (18, 'FACE&RF'), (19, 'FACE&FP&RF'), (20, 'FACE&FP&PW')], default=0, verbose_name='Verification')),
                ('sensorid', models.CharField(blank=True, editable=False, max_length=5, null=True, verbose_name='Sensor ID')),
                ('workcode', models.CharField(blank=True, max_length=20, null=True, verbose_name='Work code')),
                ('reserved', models.CharField(blank=True, max_length=20, null=True, verbose_name='Reserved')),
                ('createtime', models.DateTimeField(null=True, verbose_name='CreateTime')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data.Employee')),
            ],
            options={
                'verbose_name': 'Transaction',
                'verbose_name_plural': 'Transactions',
                'db_table': 'transaction_',
                'ordering': ('-time',),
                'permissions': (('transaction_delete', 'Delete'),),
            },
        ),
    ]
